(* Content-type: application/mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 7.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       145,          7]
NotebookDataLength[     16847,        529]
NotebookOptionsPosition[     16072,        502]
NotebookOutlinePosition[     16459,        519]
CellTagsIndexPosition[     16416,        516]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{
    RowBox[{"General", "::", "\"\<obspkg\>\""}], ",", 
    RowBox[{"ListSurfacePlot3D", "::", "\"\<shdw\>\""}], ",", 
    RowBox[{"Histogram3D", "::", "\"\<shdw\>\""}], ",", 
    RowBox[{"BarChart3D", "::", "\"\<shdw\>\""}]}], "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.479615672875*^9, 3.479615686671875*^9}, {
  3.479615722875*^9, 3.479615738375*^9}}],

Cell[BoxData[{
 RowBox[{"<<", "Graphics`Arrow`"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "Graphics`ImplicitPlot`"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "Graphics`Graphics3D`"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"Off", "[", 
   RowBox[{"General", "::", "\"\<spell\>\""}], "]"}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "Graphics`Legend`"}], "\[IndentingNewLine]", 
 RowBox[{"<<", "Graphics`PlotField`"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"ClearAll", "[", "vyr", "]"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{
    RowBox[{"vyr", "[", 
     RowBox[{"{", 
      RowBox[{"x_", ",", "y_"}], "}"}], "]"}], "=", 
    RowBox[{
     SuperscriptBox["x", "2"], "+", 
     RowBox[{"0.7", 
      SuperscriptBox["y", "2"]}], "+", 
     RowBox[{"0.8", 
      SuperscriptBox["x", "3"]}]}]}], ";"}], "\[IndentingNewLine]", 
  RowBox[{"(*", 
   RowBox[{
    RowBox[{
     RowBox[{"vyr", "[", 
      RowBox[{"{", 
       RowBox[{"x_", ",", "y_"}], "}"}], "]"}], "=", 
     RowBox[{
      SuperscriptBox["x", "2"], "+", 
      RowBox[{"0.7", 
       SuperscriptBox["y", "2"]}], "+", 
      RowBox[{"0.8", 
       SuperscriptBox["x", "3"]}]}]}], ";"}], "*)"}]}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xmin", "=", 
   RowBox[{"-", "1.5"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"xmax", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ymin", "=", 
   RowBox[{"-", "1"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ymax", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"pl1", "=", 
  RowBox[{"Plot3D", "[", 
   RowBox[{
    RowBox[{"vyr", "[", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "ymin", ",", "ymax"}], "}"}], ",", 
    RowBox[{"ViewPoint", "->", 
     RowBox[{"{", 
      RowBox[{"0.963", ",", " ", "2.818", ",", " ", "1.659"}], "}"}]}], ",", 
    RowBox[{"AxesLabel", "\[Rule]", 
     RowBox[{"{", 
      RowBox[{"\"\<x \>\"", ",", "\"\<y\>\"", ",", "\"\<z\>\""}], "}"}]}]}], 
   "]"}]}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{3.479615656734375*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"nx", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"ny", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zmin", "=", "0"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"zmax", "=", "0.7"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"nz", "=", "10"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"k", "=", "1.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"body", "=", 
   RowBox[{
    RowBox[{"Table", "[", 
     RowBox[{
      RowBox[{
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], "//", "N"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "xmin", ",", "xmax", ",", 
        FractionBox[
         RowBox[{"xmax", "-", "xmin"}], 
         RowBox[{"nx", "-", "1"}]]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"y", ",", "ymin", ",", "ymax", ",", 
        FractionBox[
         RowBox[{"ymax", "-", "ymin"}], 
         RowBox[{"ny", "-", "1"}]]}], "}"}]}], "]"}], "//", 
    RowBox[{
     RowBox[{"Flatten", "[", 
      RowBox[{"#", ",", "1"}], "]"}], "&"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"implot", "[", "z_", "]"}], ":=", 
   RowBox[{"ImplicitPlot", "[", 
    RowBox[{
     RowBox[{
      RowBox[{"vyr", "[", 
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}], "]"}], "\[Equal]", "z"}], ",", 
     RowBox[{"{", 
      RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
     RowBox[{"AxesLabel", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{"\"\<x\>\"", ",", "\"\<y\>\""}], "}"}]}], ",", 
     RowBox[{"PlotStyle", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Hue", "[", "0.6", "]"}], ",", 
        RowBox[{"Thickness", "[", "0.007", "]"}]}], "}"}]}], ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"k", "*", "xmin"}], ",", 
          RowBox[{"k", "*", "xmax"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"k", "*", "ymin"}], ",", 
          RowBox[{"k", "*", "ymax"}]}], "}"}]}], "}"}]}], ",", 
     RowBox[{"DisplayFunction", "\[Rule]", "Identity"}], ",", 
     RowBox[{"PlotPoints", "\[Rule]", "200"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grar", "=", 
   RowBox[{"Table", "[", 
    RowBox[{
     RowBox[{"implot", "[", "z", "]"}], ",", 
     RowBox[{"{", 
      RowBox[{"z", ",", "zmin", ",", "zmax", ",", 
       FractionBox[
        RowBox[{"zmax", "-", "zmin"}], 
        RowBox[{"nz", "-", "1"}]]}], "}"}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sh", "[", "a___", "]"}], ":=", 
   RowBox[{"Show", "[", 
    RowBox[{"a", ",", 
     RowBox[{"DisplayFunction", "\[Rule]", "$DisplayFunction"}]}], "]"}]}], 
  ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"grad", "[", "bod_", "]"}], ":=", 
   RowBox[{
    RowBox[{"{", 
     RowBox[{
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"vyr", "[", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], "]"}], ",", "x"}], "]"}], ",", 
      RowBox[{"D", "[", 
       RowBox[{
        RowBox[{"vyr", "[", 
         RowBox[{"{", 
          RowBox[{"x", ",", "y"}], "}"}], "]"}], ",", "y"}], "]"}]}], "}"}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "\[Rule]", 
       RowBox[{"bod", "[", 
        RowBox[{"[", "1", "]"}], "]"}]}], ",", 
      RowBox[{"y", "\[Rule]", 
       RowBox[{"bod", "[", 
        RowBox[{"[", "2", "]"}], "]"}]}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sipkagrad", "[", 
    RowBox[{"bod_List", ",", "mer_"}], "]"}], ":=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Hue", "[", "0", "]"}], ",", 
      RowBox[{"Arrow", "[", 
       RowBox[{"bod", ",", 
        RowBox[{"bod", "+", 
         RowBox[{"mer", "*", 
          RowBox[{"grad", "[", "bod", "]"}]}]}], ",", 
        RowBox[{"HeadScaling", "\[Rule]", "Relative"}]}], "]"}]}], "}"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sipky", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"sipkagrad", "[", 
       RowBox[{"#", ",", "0.3"}], "]"}], "&"}], ")"}], "/@", "body"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"sh", "[", 
  RowBox[{"grar", ",", "sipky"}], "]"}]}], "Input",
 CellChangeTimes->{3.47961564021875*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"divgrad", "[", 
    RowBox[{"xx_", ",", "yy_"}], "]"}], "=", 
   RowBox[{
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"vyr", "[", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "2"}], "}"}]}], "]"}], "+", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"vyr", "[", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}], "]"}], ",", 
       RowBox[{"{", 
        RowBox[{"y", ",", "2"}], "}"}]}], "]"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "\[Rule]", "xx"}], ",", 
      RowBox[{"y", "\[Rule]", "yy"}]}], "}"}]}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"divgrad", "[", 
    RowBox[{"x", ",", "y"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "ymin", ",", "ymax"}], "}"}], ",", 
   RowBox[{"ViewPoint", "->", 
    RowBox[{"{", 
     RowBox[{"0.963", ",", " ", "2.818", ",", " ", "1.659"}], "}"}]}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x \>\"", ",", "\"\<y\>\"", ",", "\"\<z\>\""}], "}"}]}]}], 
  "]"}]}], "Input",
 CellChangeTimes->{3.479615636671875*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{
   RowBox[{"vectx", "[", 
    RowBox[{"{", 
     RowBox[{"x_", ",", "y_"}], "}"}], "]"}], ":=", 
   RowBox[{"Sin", "[", 
    RowBox[{
     SuperscriptBox["x", "2"], "+", "y"}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vecty", "[", 
    RowBox[{"{", 
     RowBox[{"x_", ",", "y_"}], "}"}], "]"}], ":=", 
   RowBox[{"Cos", "[", 
    RowBox[{"x", "+", 
     SuperscriptBox["y", "2"]}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"vect", "[", "bod_", "]"}], ":=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"vectx", "[", "bod", "]"}], ",", 
     RowBox[{"vecty", "[", "bod", "]"}]}], "}"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"divvect", "[", 
    RowBox[{"{", 
     RowBox[{"xx_", ",", "yy_"}], "}"}], "]"}], ":=", 
   RowBox[{
    RowBox[{
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"vectx", "[", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}], "]"}], ",", "x"}], "]"}], "+", 
     RowBox[{"D", "[", 
      RowBox[{
       RowBox[{"vectx", "[", 
        RowBox[{"{", 
         RowBox[{"x", ",", "y"}], "}"}], "]"}], ",", "y"}], "]"}]}], "/.", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"x", "\[Rule]", "xx"}], ",", 
      RowBox[{"y", "\[Rule]", "yy"}]}], "}"}]}]}], ";"}]}], "Input"],

Cell[BoxData[{
 RowBox[{
  RowBox[{"k", "=", "1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{
   RowBox[{"sipkadiv", "[", 
    RowBox[{"bod_List", ",", "mer_"}], "]"}], ":=", 
   RowBox[{"Graphics", "[", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"Hue", "[", "0", "]"}], ",", 
      RowBox[{"Arrow", "[", 
       RowBox[{"bod", ",", 
        RowBox[{"bod", "+", 
         RowBox[{"mer", "*", 
          RowBox[{"vect", "[", "bod", "]"}]}]}], ",", 
        RowBox[{"HeadScaling", "\[Rule]", "Relative"}]}], "]"}]}], "}"}], 
    "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sipky", "=", 
   RowBox[{
    RowBox[{"(", 
     RowBox[{
      RowBox[{"sipkagrad", "[", 
       RowBox[{"#", ",", "0.3"}], "]"}], "&"}], ")"}], "/@", "body"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sipecky", "=", 
   RowBox[{"sh", "[", 
    RowBox[{"sipky", ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"k", "*", "xmin"}], ",", 
          RowBox[{"k", "*", "xmax"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"k", "*", "ymin"}], ",", 
          RowBox[{"k", "*", "ymax"}]}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"Plot3D", "[", 
  RowBox[{
   RowBox[{"Evaluate", "[", 
    RowBox[{"divvect", "[", 
     RowBox[{"{", 
      RowBox[{"x", ",", "y"}], "}"}], "]"}], "]"}], ",", 
   RowBox[{"{", 
    RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
   RowBox[{"{", 
    RowBox[{"y", ",", "ymin", ",", "ymax"}], "}"}], ",", 
   RowBox[{"ViewPoint", "->", 
    RowBox[{"{", 
     RowBox[{"0.963", ",", " ", "2.818", ",", " ", "1.659"}], "}"}]}], ",", 
   RowBox[{"AxesLabel", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{"\"\<x \>\"", ",", "\"\<y\>\"", ",", "\"\<z\>\""}], "}"}]}]}], 
  "]"}], "\[IndentingNewLine]"}], "Input",
 CellChangeTimes->{3.479615614140625*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"mindiv", "=", 
   RowBox[{
    RowBox[{"NMinimize", "[", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{
        RowBox[{"Evaluate", "[", 
         RowBox[{"divvect", "[", 
          RowBox[{"{", 
           RowBox[{"x", ",", "y"}], "}"}], "]"}], "]"}], ",", 
        RowBox[{"xmin", "\[LessEqual]", "x", "\[LessEqual]", "xmax"}], ",", 
        RowBox[{"ymin", "\[LessEqual]", "y", "\[LessEqual]", "ymax"}]}], 
       "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "[", 
    RowBox[{"[", "1", "]"}], "]"}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"maxdiv", "=", 
   RowBox[{"-", 
    RowBox[{
     RowBox[{"NMinimize", "[", 
      RowBox[{
       RowBox[{"{", 
        RowBox[{
         RowBox[{"-", 
          RowBox[{"Evaluate", "[", 
           RowBox[{"divvect", "[", 
            RowBox[{"{", 
             RowBox[{"x", ",", "y"}], "}"}], "]"}], "]"}]}], ",", 
         RowBox[{"xmin", "\[LessEqual]", "x", "\[LessEqual]", "xmax"}], ",", 
         RowBox[{"ymin", "\[LessEqual]", "y", "\[LessEqual]", "ymax"}]}], 
        "}"}], ",", 
       RowBox[{"{", 
        RowBox[{"x", ",", "y"}], "}"}]}], "]"}], "[", 
     RowBox[{"[", "1", "]"}], "]"}]}]}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"grLmin", "=", "0.2"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"rgLmax", "=", "0.8"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{"pleg", "=", 
  RowBox[{"DensityPlot", "[", 
   RowBox[{
    RowBox[{"Evaluate", "[", 
     RowBox[{"divvect", "[", 
      RowBox[{"{", 
       RowBox[{"x", ",", "y"}], "}"}], "]"}], "]"}], ",", 
    RowBox[{"{", 
     RowBox[{"x", ",", "xmin", ",", "xmax"}], "}"}], ",", 
    RowBox[{"{", 
     RowBox[{"y", ",", "ymin", ",", "ymax"}], "}"}], ",", 
    RowBox[{"Mesh", "\[Rule]", "False"}], ",", 
    RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
    RowBox[{"PlotPoints", "\[Rule]", "30"}], ",", 
    RowBox[{"DisplayFunction", "\[Rule]", "Identity"}], ",", 
    RowBox[{"ColorFunction", "\[Rule]", "Hue"}], ",", 
    RowBox[{"Frame", "\[Rule]", "False"}]}], "]"}]}]}], "Input",
 CellChangeTimes->{3.479615618234375*^9}],

Cell[BoxData[{
 RowBox[{
  RowBox[{"k", "=", "0.1"}], ";"}], "\[IndentingNewLine]", 
 RowBox[{
  RowBox[{"sipecky", "=", 
   RowBox[{"sh", "[", 
    RowBox[{"sipky", ",", 
     RowBox[{"AspectRatio", "\[Rule]", "Automatic"}], ",", 
     RowBox[{"PlotRange", "\[Rule]", 
      RowBox[{"{", 
       RowBox[{
        RowBox[{"{", 
         RowBox[{
          RowBox[{"k", "*", "xmin"}], ",", 
          RowBox[{"k", "*", "xmax"}]}], "}"}], ",", 
        RowBox[{"{", 
         RowBox[{
          RowBox[{"k", "*", "ymin"}], ",", 
          RowBox[{"k", "*", "ymax"}]}], "}"}]}], "}"}]}]}], "]"}]}], 
  ";"}], "\[IndentingNewLine]", 
 RowBox[{"sh", "[", 
  RowBox[{"pleg", ",", "sipecky"}], "]"}]}], "Input",
 CellChangeTimes->{3.479615623203125*^9}],

Cell[BoxData[
 RowBox[{"ElementData", "[", 
  RowBox[{"\"\<Iron\>\"", ",", "\"\<SpecificHeat\>\""}], "]"}]], "Input",
 CellChangeTimes->{{3.479615924421875*^9, 3.479615940421875*^9}}],

Cell[BoxData[
 RowBox[{"<<", "BlackBodyRadiation`"}]], "Input"],

Cell[BoxData[
 RowBox[{"BlackBodyProfile", "[", 
  RowBox[{
   RowBox[{"4000", " ", "Kelvin"}], ",", 
   RowBox[{"5000", " ", "Kelvin"}], ",", 
   RowBox[{"6000", " ", "Kelvin"}], ",", 
   RowBox[{"PlotRange", "\[Rule]", 
    RowBox[{"{", 
     RowBox[{
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"2.0", "\[Times]", 
         SuperscriptBox["10", 
          RowBox[{"-", "6"}]]}]}], "}"}], ",", 
      RowBox[{"{", 
       RowBox[{"0", ",", 
        RowBox[{"1.1", "\[Times]", 
         SuperscriptBox["10", "14"]}]}], "}"}]}], "}"}]}]}], "]"}]], "Input"]
},
WindowSize->{1054, 740},
WindowMargins->{{10, Automatic}, {Automatic, 5}},
ShowSelection->True,
Magnification->1.25,
FrontEndVersion->"7.0 for Microsoft Windows (32-bit) (February 18, 2009)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[545, 20, 415, 9, 35, "Input"],
Cell[963, 31, 439, 9, 146, "Input"],
Cell[1405, 42, 1770, 54, 235, "Input"],
Cell[3178, 98, 2881, 85, 317, "Input"],
Cell[6062, 185, 1588, 51, 124, "Input"],
Cell[7653, 238, 1311, 41, 80, "Input"],
Cell[8967, 281, 1346, 46, 107, "Input"],
Cell[10316, 329, 2007, 60, 190, "Input"],
Cell[12326, 391, 2164, 58, 146, "Input"],
Cell[14493, 451, 746, 22, 80, "Input"],
Cell[15242, 475, 183, 3, 35, "Input"],
Cell[15428, 480, 63, 1, 35, "Input"],
Cell[15494, 483, 574, 17, 39, "Input"]
}
]
*)

(* End of internal cache information *)
